REST APIFiatBank Accounts

GET

Get BitGo's bank account information so you can deposit fiat into a Go Account.

Query Params

  • currency string enum required
    fiatusdfiateurfiatsgdfiataedtfiatusdtfiateurtfiatsgdtfiataed
  • goAccountId string required

    at least 1 characters

Responses

200
OK

Response Body

object

codec for get deposit bank accounts http response
  • memoId string required

    at least 1 characters

  • bankAccounts array of objects required
    Unified schema for an array of bank accounts

    ONE OF

    • type string enum required
      wire
    • routingNumber string required
    • accountType string enum nullable required
      checkingsavingunknown
    • id string required
      Unique identifier for the bank account

      at least 1 characters

    • idHash string required
      Hashed identifier for the bank account

      at least 1 characters

    • currency string enum required
      The currency of the bank account
      fiatusdfiateurfiatsgdfiataedtfiatusdtfiateurtfiatsgdtfiataed
    • token string required
      Authentication token for bank account operations

      at least 1 characters

    • name string required
      Name of the bank account

      at least 1 characters

    • shortCountryCode string required
      Two-letter ISO country code

      at least 1 characters

    • accountNumber string required
      Bank account number (may be masked)

      at least 1 characters

    • enterpriseId string required
      ID of the enterprise the account belongs to
    • trustOrg string enum required
      Trust organization associated with this account
      BitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo Sister Trust 1
    • ownerName string required
      Name of the account owner

      at least 1 characters

    • verificationState string enum required
      Current verification status of the account
      approvedrejectedpendingremovedrevise
    • createdAt string date-time required
      Timestamp when the account was created
    • pendingActivity string
      Any pending activity on the account

      ONE OF

      string enum

    • fee object
      Fee information for the account
      fee object
      • amount string

        at least 1 characters

      • individualFees array of objects required

        ONE OF

        • type string enum required
          static
        • amount string required

          at least 1 characters

    • feeInfo object
      Detailed fee configuration for the account

      ONE OF

      • coin string enum required
        fiatusdfiateurfiatsgdfiataedtfiatusdtfiateurtfiatsgdtfiataed
      • bank string enum required
        silvergatesilvergate_primesilvergate_v3silvergate_prime_v3bcbgroupsignaturegenericcustomers_apicustomers_cubix_apicustomers_sftplead
      • type string enum required
        static
      • amount string required

        at least 1 characters

    • furtherCreditTo string
      Further credit recipient information
    • intermediaryBankName string
      Name of intermediary bank if applicable
    • intermediaryBankId string
      Identifier of the intermediary bank
    • metadata string
      Additional metadata for the account
    • description string
      User-provided description of the account
    • virtualDepositOnly boolean
      Whether this account is for virtual deposits only
    • ownerAddressLine1 string nullable
      First line of owner's address (street number and name)
    • ownerAddressLine2 string nullable
      Second line of owner's address (apartment/suite number, etc.)
    • ownerAddressCityLocality string nullable
      City or locality of owner's address
    • ownerAddressStateProvince string nullable
      State or province of owner's address
    • ownerAddressPostalCode string nullable
      Postal code of owner's address
    • ownerAddressCountryCode string nullable
      Two-letter ISO country code of owner's address
    • bankAddressLine1 string nullable
      First line of bank's address (street number and name)
    • bankAddressLine2 string nullable
      Second line of bank's address (branch information, etc.)
    • bankAddressCityLocality string nullable
      City or locality of bank's address
    • bankAddressStateProvince string nullable
      State or province of bank's address
    • bankAddressPostalCode string nullable
      Postal code of bank's address
    • bankAddressCountryCode string nullable
      Two-letter ISO country code of bank's address, should equal shortCountryCode
    • owner object
      DEPRECATED - Use ownerName and normalized address fields instead
      owner object
      • name string deprecated
        DEPRECATED - Use ownerName instead

        at least 1 characters

      • address1 object deprecated
        DEPRECATED - Use ownerAddressLine1 instead
      • address2 object deprecated
        DEPRECATED - Use ownerAddressLine2 instead
      • address3 object deprecated
        DEPRECATED - Use additional normalized address fields instead
    • address string deprecated
      DEPRECATED - Use normalized bank address fields instead

      at least 1 characters

    • ownerAddress string deprecated
      DEPRECATED - Use normalized owner address fields instead

      at least 1 characters

    • address1 string deprecated
      DEPRECATED - Use ownerAddressLine1 instead
    • address2 string deprecated
      DEPRECATED - Use ownerAddressLine2 instead
    • address3 string deprecated
      DEPRECATED - Use additional normalized address fields instead
400
Bad Request

Response Body

object

  • errorName string required
  • error string required
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
404
Not Found

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required